Subject: Re: [PATCH iproute2 v5 2/4] ifstat: Add extended statistics to ifstat

From: Stephen Hemminger <[email-masked]>
Date: Sun, 29 Jan 2017 20:34:25 -0800

On Thu, 26 Jan 2017 14:44:39 +0200
Nogah Frankel <[email-masked]> wrote:

> Extended stats are part of the RTM_GETSTATS method. This patch adds them
> to ifstat.
> While extended stats can come in many forms, we support only the
> rtnl_link_stats64 struct for them (which is the 64 bits version of struct
> rtnl_link_stats).
> We support stats in the main nesting level, or one lower.
> The extension can be called by its name or any shorten of it. If there is
> more than one matched, the first one will be picked.
> 
> To get the extended stats the flag -x <stats type> is used.

It would be better if this command used 64 bit statistics transparently
like other tools in iproute2. Transparency is always better user experience.